# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ("portailuser", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Evenement",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                (
                    "nom",
                    models.CharField(
                        help_text=b"Exemple : Ap\xc3\xa9ro-concert",
                        unique=True,
                        max_length=27,
                        verbose_name=b"Nom de l'\xc3\xa9v\xc3\xa9nement",
                    ),
                ),
                (
                    "description",
                    models.TextField(
                        max_length=50,
                        verbose_name=b"Description de l'\xc3\xa9v\xc3\xa9nement",
                    ),
                ),
                (
                    "date_heure_debut",
                    models.DateTimeField(verbose_name=b"Date et heure de d\xc3\xa9but"),
                ),
                (
                    "date_heure_fin",
                    models.DateTimeField(verbose_name=b"Date et heure de fin"),
                ),
                (
                    "lieu",
                    models.CharField(
                        help_text=b"Exemple : Foyer ; B00 ; etc...",
                        max_length=50,
                        verbose_name=b"Lieu de l'\xc3\xa9v\xc3\xa9nement",
                    ),
                ),
                (
                    "ecole",
                    models.ForeignKey(
                        editable=False, to="portailuser.Ecole", on_delete=models.CASCADE
                    ),
                ),
                (
                    "responsable",
                    models.ForeignKey(
                        verbose_name=b"Responsable",
                        to="portailuser.PortailUser",
                        help_text=b"Laissez vide pour utiliser votre nom",
                        null=True,
                        on_delete=models.CASCADE,
                    ),
                ),
            ],
            options={},
            bases=(models.Model,),
        ),
    ]
